/*
 * @Author: SunTao 328867980@qq.com
 * @Date: 2025-02-13 09:11:50
 * @LastEditors: SunTao 328867980@qq.com
 * @LastEditTime: 2025-02-21 14:11:37
 * @FilePath: \znxjxt-ui\src\api\xj\hisense\inter-change.js
 * @Description: 海信-收费站
 */
import request from "@/utils/request";

// 获取列表数据
export function getList(query) {
  return request({
    url: "/hxstation/page",
    method: "get",
    params: query,
  });
}

// 新增数据
export function add(data) {
  return request({
    url: "/hxstation",
    method: "post",
    data,
  });
}

// 更新数据
export function updata(data) {
  return request({
    url: "/hxstation",
    method: "put",
    data,
  });
}

// 删除数据
export function delData(id) {
  return request({
    url: `/hxstation/${id}`,
    method: "delete",
  });
}

// 获取收费站下拉数据
export function getDropDown(params) {
  return request({
    url: "/hxstation/dropDown",
    method: "get",
    params,
  });
}
